Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class ChartLabelInfo

    java.lang.Object
      jet.report.xls.ChartLabelInfo

    public class ChartLabelInfo

extends java.lang.Object

Information of chart label.

Constructor Summary
`ChartLabelInfo()` Creates a `ChartLabelInfo` object with the default parameters.
`ChartLabelInfo(int x, int y, int width, int height, FontInfo fontInfo, ChartAreaInfo labelAreaInfo, java.lang.String text)` Constructs a `ChartLabelInfo` object with these parameters:

Method Summary
`FontInfo` | `getFontInfo()` Gets the information of label font.
`int` | `getHeight()` Gets the height of label.
`ChartAreaInfo` | `getLabelAreaInfo()` Gets the information of label area.
`java.lang.String` | `getText()` Gets the text of label.
`int` | `getWidth()` Gets the width of label.
`int` | `getX()` Gets the x position of label.
`int` | `getY()` Gets the y position of label.
`void` | `setFontInfo(FontInfo fontInfo)` Sets the information of label font.
`void` | `setHeight(int height)` Sets the height of label.
`void` | `setLabelAreaInfo(ChartAreaInfo labelAreaInfo)` Sets the information of label area.
`void` | `setText(java.lang.String text)` Sets the text of label.
`void` | `setWidth(int width)` Sets the width of label.
`void` | `setX(int x)` Sets the x position of chart.
`void` | `setY(int y)` Sets the y position of label.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChartLabelInfo

    public ChartLabelInfo()

  Creates a `ChartLabelInfo` object with the default parameters.

### ChartLabelInfo

    public ChartLabelInfo(int x,
                          int y,
                          int width,
                          int height,
                          FontInfo fontInfo,
                          ChartAreaInfo labelAreaInfo,
                          java.lang.String text)

  Constructs a `ChartLabelInfo` object with these parameters:

  Parameters:
    `x` - x position of the label
    `y` - y position of the label
    `width` - width of the label
    `height` - height of the label
    `fontInfo` - the information of label font
    `labelAreaInfo` - the information of label area
    `text` - text of the label

Method Detail

### setX

    public void setX(int x)

  Sets the x position of chart.

  Parameters:
    `x` - the x position of chart

### getX

    public int getX()

  Gets the x position of label.

  Returns:
    the x position of label

### setY

    public void setY(int y)

  Sets the y position of label.

  Parameters:
    `y` - the y position of label

### getY

    public int getY()

  Gets the y position of label.

  Returns:
    the y position of label

### setWidth

    public void setWidth(int width)

  Sets the width of label.

  Parameters:
    `width` - the width of label

### getWidth

    public int getWidth()

  Gets the width of label.

  Returns:
    the width of label

### setHeight

    public void setHeight(int height)

  Sets the height of label.

  Parameters:
    `height` - the height of label

### getHeight

    public int getHeight()

  Gets the height of label.

  Returns:
    the height of label

### setLabelAreaInfo

    public void setLabelAreaInfo(ChartAreaInfo labelAreaInfo)

  Sets the information of label area.

  Parameters:
    `labelAreaInfo` - the information of label area

### getLabelAreaInfo

    public ChartAreaInfo getLabelAreaInfo()

  Gets the information of label area.

  Returns:
    the information of label area

### setFontInfo

    public void setFontInfo(FontInfo fontInfo)

  Sets the information of label font.

  Parameters:
    `fontInfo` - the information of label font

### getFontInfo

    public FontInfo getFontInfo()

  Gets the information of label font.

  Returns:
    the information of label font.

### setText

    public void setText(java.lang.String text)

  Sets the text of label.

  Parameters:
    `text` - the text of label

### getText

    public java.lang.String getText()

  Gets the text of label.

  Returns:
    the text of label

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD